Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
argf Struct Reference

## Data Fields
VALUE | filename
VALUE | current_file
long | last_lineno
long | lineno
VALUE | argv
VALUE | inplace
struct rb_io_enc_t | encs
int8_t | init_p
int8_t | next_p
int8_t | binmode

## Detailed Description

Definition at line 206 of file io.c.

## Field Documentation

## ◆ argv

VALUE argf::argv

Definition at line 210 of file io.c.

## ◆ binmode

int8_t argf::binmode

Definition at line 213 of file io.c.

## ◆ current_file

VALUE argf::current_file

Definition at line 207 of file io.c.

## ◆ encs

struct rb_io_enc_t argf::encs

Definition at line 212 of file io.c.

## ◆ filename

VALUE argf::filename

Definition at line 207 of file io.c.

## ◆ init_p

int8_t argf::init_p

Definition at line 213 of file io.c.

## ◆ inplace

VALUE argf::inplace

Definition at line 211 of file io.c.

## ◆ last_lineno

long argf::last_lineno

Definition at line 208 of file io.c.

## ◆ lineno

long argf::lineno

Definition at line 209 of file io.c.

## ◆ next_p

int8_t argf::next_p

Definition at line 213 of file io.c.

The documentation for this struct was generated from the following file:

- io.c